team add player
team modify player nametagVisibility never
team modify player friendlyFire false
team modify player seeFriendlyInvisibles false
team modify player deathMessageVisibility never
team modify player collisionRule never
tag @a[team=!player] remove summoned_gui
tag @a[team=!player] remove camera_use
tag @a[team=!player,team=!jumpscare,team=!play_again,team=!spectator] remove p_player1
tag @a[team=!player,team=!jumpscare,team=!play_again,team=!spectator] remove p_player2
tag @a[team=!player,team=!jumpscare,team=!play_again,team=!spectator] remove players



# Create Scoreboards
scoreboard objectives add Cam_Open dummy
scoreboard objectives add Cam_Battery dummy
scoreboard objectives add Battery dummy
scoreboard objectives add Cam_UseAnim dummy
scoreboard objectives add Cam_Idle dummy
scoreboard objectives add Cam_BatT dummy
scoreboard objectives add Cam_Reload dummy
scoreboard objectives add P_Model_Move minecraft.custom:minecraft.walk_one_cm
scoreboard objectives add P_Model_Walk dummy
scoreboard objectives add P_FootStepM minecraft.custom:minecraft.walk_one_cm
scoreboard objectives add P_FootStep dummy
scoreboard objectives add Night_Amb dummy
scoreboard objectives add P_Chase dummy
scoreboard objectives add Cam_UseFlash minecraft.dropped:minecraft.carrot_on_a_stick
scoreboard objectives add Cam_Flash dummy
scoreboard objectives add Cam_FlashLT dummy
scoreboard objectives add Health dummy
scoreboard objectives add Hurt dummy
scoreboard objectives add Interact_RC minecraft.used:minecraft.carrot_on_a_stick
scoreboard objectives add Cam_Start dummy
scoreboard objectives add Player_ID dummy
scoreboard objectives add Player_W_ID dummy
scoreboard objectives add Dis_Cam dummy
scoreboard objectives add P_GNT dummy
scoreboard objectives add Blindness dummy
scoreboard objectives add Freeze dummy
scoreboard objectives add Tutorials dummy
scoreboard objectives add Cam_FlashCD dummy
scoreboard objectives add Creepy_Amb dummy
scoreboard objectives add P_Safe dummy
scoreboard objectives add P_Sneak minecraft.custom:minecraft.sneak_time
scoreboard objectives add P_Model_Dead dummy
scoreboard objectives add Leave trigger
scoreboard objectives add Dis_Cam1 dummy
scoreboard objectives add Levitation dummy
scoreboard objectives add P_Fall minecraft.custom:minecraft.fall_one_cm
scoreboard objectives add P_Falling dummy
scoreboard objectives add P_Model_Fall dummy
scoreboard objectives add P_Model_Fall1 dummy
# End



# Player Functions
function game_controller:player/effects
function game_controller:player/block_view
execute as @a[team=player,tag=!camera_use,scores={Cam_Start=18..,Cam_UseAnim=0,Cam_Reload=0,Dis_Cam=0}] at @s run function game_controller:player/cam_standby
function game_controller:player/cam_use
function game_controller:player/cam_reload
function game_controller:player/cam_start
function game_controller:player/empty
function game_controller:player/right_click
function game_controller:player/cam
function game_controller:player/footstep
function game_controller:player/night_ambience
function game_controller:player/chase_theme
function game_controller:player/cam_flash
execute as @e[type=area_effect_cloud,tag=Cam_Flash_RC] at @s run function game_controller:player/cam_flash/raycast
function game_controller:player/health
function game_controller:player/interact/interact
execute as @a[tag=!player_id,limit=1,sort=random] at @s run function game_controller:player/player_id
function game_controller:player/hand_icon/hand_icon
function game_controller:player/objectives_gui
function game_controller:player/tutorials
function game_controller:player/creepy_ambience
function game_controller:player/sneak
function game_controller:player/triggers
function game_controller:player/fall/fall
# End



# Player 1 Functions
execute as @a[team=player,tag=p_player1,tag=!summoned_gui] at @s run function game_controller:player/player1/summon
function game_controller:player/player1/gui
function game_controller:player/player1/camera_gui
function game_controller:player/player1/player_model
function game_controller:player/player1/battery_gui
function game_controller:player/player1/cam_flash_gui
function game_controller:player/player1/blood_gui
function game_controller:player/player1/health_gui
function game_controller:player/player1/hand_icon_gui
function game_controller:player/player1/black_screen_gui
function game_controller:player/player1/tutorials_gui
function game_controller:player/player1/flash_cooldown_gui
# End



# Player 2 Functions
execute as @a[team=player,tag=p_player2,tag=!summoned_gui] at @s run function game_controller:player/player2/summon
function game_controller:player/player2/gui
function game_controller:player/player2/camera_gui
function game_controller:player/player2/player_model
function game_controller:player/player2/battery_gui
function game_controller:player/player2/cam_flash_gui
function game_controller:player/player2/blood_gui
function game_controller:player/player2/health_gui
function game_controller:player/player2/hand_icon_gui
function game_controller:player/player2/black_screen_gui
function game_controller:player/player2/tutorials_gui
function game_controller:player/player2/flash_cooldown_gui
# End



# Other
clear @a[team=!player] carrot_on_a_stick{Items:1b}
kill @e[type=item,nbt={Item:{tag:{Items:1b}}}]
# End